package swingmovinggrapheditor.graph;

import java.io.Serializable;
import java.util.LinkedList;
import java.util.List;

/**
 *
 * @author trust56
 */
public class Graph<T extends Serializable, ConcreteNode extends Node<T>>implements Serializable {
    
    protected List<ConcreteNode> nodes;
    protected List<Arc<T, ConcreteNode>> arcs;

    public Graph() {
        nodes = new LinkedList<>();
        arcs = new LinkedList<>();
    }

    public List<ConcreteNode> getNodes() {
        return nodes;
    }
}
