/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package gyak3mo;

import java.util.Random;
import java.util.Stack;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 * Verem
 * @author swinkx
 */
public class Masodik {
    private static class MyThread extends Thread{
        private static Random rand = new Random();
        private volatile boolean running = true;
        private Verem v;
        
        public MyThread(Verem v){
            this.v = v;
        }
        
        @Override
        public void run(){
            while(running){
                if(rand.nextInt(3) > 1){
                    int i = rand.nextInt(100);
                    System.out.println(getName()  + " belerakom: " + i);
                    v.push(i);
                } else {
                    try{
                        System.out.println(getName()  + " kivettem: " + v.pop());
                    } catch(IllegalStateException e){
                        System.out.println(getName()  + " Üres!");
                    }
                }
                yield();//Itt jelezzük a OS felé, hogy most nincs szükségnük több futási időre.
            }
        }
        
        public void kill(){
            running = false;
        }
    }
    
    
    private static class Verem{ 
        private Stack<Integer> list;
        private int elements;

        public Verem(){
            list = new Stack<Integer>();
            elements = 0;
        }
        
        public synchronized void Empty(){
            elements = 0;
            list.clear();
        }
        
        public boolean isEmpty(){
            return elements == 0 ? true : false;
        }
        
        public int top(){
            if(elements != 0){
                return list.peek();
            } else {
                throw new IllegalStateException();
            }
        }
        
        public synchronized int pop(){
            if(elements != 0){
                elements--;
                return list.pop();
            } else {
                throw new IllegalStateException();
            }
        }
        
        public synchronized void push(int element){
            list.push(element);
            elements++;
        }
    }
    
    public static void MasodikFeladat(){
        try {
            Verem v = new Verem();
            MyThread t1 = new MyThread(v);
            MyThread t2 = new MyThread(v);
            MyThread t3 = new MyThread(v);
            t1.start();t2.start();t3.start();
            Thread.currentThread().sleep(50);
            t1.kill();t2.kill();t3.kill();
        } catch (InterruptedException ex) {
            Logger.getLogger(Masodik.class.getName()).log(Level.SEVERE, null, ex);
        }
    }
}
